Package com.sas.lsaf.content.repository

## Class VersionDeleteInfo

- java.lang.Object
- - com.sas.lsaf.content.repository.VersionDeleteInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class VersionDeleteInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the status of a deleted version when calling `deleteVersions`.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `VersionDeleteInfo.DeleteStatus` | The status of a deleted version of a file.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VersionDeleteInfo​(java.lang.String version, VersionDeleteInfo.DeleteStatus deleteStatus)` | It is not intended or recommended that the consumer of the API construct this object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `VersionDeleteInfo.DeleteStatus` | `getDeleteStatus()` | Gets the deletion status of the version specified.
    `java.lang.String` | `getVersion()` | Gets the version that was specified to delete.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VersionDeleteInfo

          public VersionDeleteInfo​(java.lang.String version,
                                   VersionDeleteInfo.DeleteStatus deleteStatus)

      It is not intended or recommended that the consumer of the API construct this object. They should only be retrieved from service calls, such as `deleteVersions`.
      Parameters:
        `version` - The version specified to delete.
        `deleteStatus` - The deletion status of the version specified.

  - ### Method Detail

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version that was specified to delete.
      Returns:
        The version specified to delete.

    - #### getDeleteStatus

          public VersionDeleteInfo.DeleteStatus getDeleteStatus()

      Gets the deletion status of the version specified.
      Returns:
        The deletion status of the version specified.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`